/* ------------------------------------------- */
/* SAS Stored macros library                   */
/* ------------------------------------------- */
libname bin 'c:\program files\sas institute\sas\v8\macros\bin';
options mstored sasmstore=bin;
options sasautos = (sasautos 'c:\program files\sas institute\sas\v8\macros\bin');
 
/* ------------------------------------------- */
/* Graphs                                      */
/* ------------------------------------------- */
filename graphout 'C:\ETUDES\48KA32_S\';
goptions device=gif gsfname=graphout;
/* ------------------------------------------- */
/* Data steps                                  */
/* ------------------------------------------- */
options nocenter ls = 250; goptions device = gif;
libname lib 'C:\ETUDES\48KA32_S\';
filename _d1 'C:\ETUDES\48KA32_S\_Data_';
proc Format;
value _yesNo_    /*  YesNo Format  */
 1 = "Oui"
 0 = "Non"
 Other = "_Non Interr._"
 ;

value _f1_    /*  agg Catgorie d'agglomration  */
 1 = "Moins de 2.000 habitants"
 2 = "2.000  20.000 habitants"
 3 = "20.000  100.000 habitants"
 4 = "Plus de 100.000 habitants"
 5 = "Agglomration parisienne"
 ;

value _f2_    /*  categ Aires urbaines  */
 1 = "Ples urbains"
 2 = "Communes priurbaines"
 3 = "Espace rural sous influence urbaine"
 4 = "Rural isol"
 ;

value _f3_    /*  chom Taux de chmage dans la commune  */
 1 = "Trs faible"
 2 = "Assez faible"
 3 = "Assez fort"
 4 = "Trs fort"
 ;

value _f4_    /*  log Taux de logement social dans la commune  */
 1 = "Trs faible"
 2 = "Assez faible"
 3 = "Assez fort"
 4 = "Trs fort"
 ;

value _f16_    /*  ouv Importance de la population ouvrire dans la commune  */
 1 = "Trs faible"
 2 = "Assez faible"
 3 = "Assez forte"
 4 = "Trs forte"
 ;

value _f17_    /*  reg Rgions Sofop  */
 1 = "Nord"
 2 = "Ouest"
 3 = "Sud-ouest"
 4 = "Sud-est"
 5 = "Centre"
 6 = "Est"
 7 = "Paris"
 ;

value _f18_    /*  rs01 Sexe  */
 1 = "Homme"
 2 = "Femme"
 ;

value _f19_    /*  rs10 Prfrence partisane  */
 1 = "Gauche (EXG, PC, PS, DVG)"
 2 = "Ecologistes"
 3 = "Droite parlementaire (UDF, UMP, MPF)"
 4 = "FN+MNR"
 5 = "Sans prfrence partisane"
 ;

value _f20_    /*  rs13 Niveau de diplme  */
 1 = "Sans diplme, certificat d'tudes"
 2 = "BEPC, CAP, BEP"
 3 = "Baccalaurat"
 4 = "Enseignement suprieur"
 ;

value _f21_    /*  rs14 Revenu des mnages  */
 1 = "Actifs - Moins de 1200 euros (8000 F)"
 2 = "Actifs - 1201  1500 euros (8001  10000 F)"
 3 = "Actifs - 1501  2300 euros (10001  15000 F)"
 4 = "Actifs - 2301  3000 euros (15001  20000 F)"
 5 = "Actifs - Plus de 3000 euros (20001 F)"
 6 = "Inactifs - Moins de 800 euros (5200 F)"
 7 = "Inactifs - 801  1200 euros (5201  8000 F)"
 8 = "Inactifs - 1201  1500 euros (8001  10000 F)*"
 9 = "Inactifs - 1501  2300 euros (10001  15000 F)"
 10 = "Inactifs - Plus de 2300 euros (15001 F)"
 ;

value _f22_    /*  rs14d Taille du foyer  */
 1 = "Une personne"
 2 = "Deux personnes"
 3 = "Trois personnes"
 4 = "Quatre personnes"
 5 = "Cinq personnes et plus"
 ;

value _f23_    /*  rs2 Age  */
 1 = "15  17 ans"
 2 = "18  24 ans"
 3 = "25  34 ans"
 4 = "35  49 ans"
 5 = "50  64 ans"
 6 = "65 ans et plus"
 ;

value _f24_    /*  rs5 Situation professionnelle de l'interview  */
 1 = "rs5  Travaille  son compte"
 2 = "rs5  dont : . Salari du secteur public"
 3 = "rs5  . Salari du secteur priv"
 4 = "rs5  Chmeur"
 5 = "rs5  Retrait"
 6 = "rs5  Autre inactif"
 ;

value _f25_    /*  rs6 Profession de l'interview  */
 1 = "rs6  Commerant, artisan, chef d'entreprise*"
 2 = "rs6  Cadre, profession intellectuelle"
 3 = "rs6  . Profession intermdiaire"
 4 = "rs6  . Employ"
 5 = "rs6  Ouvrier"
 6 = "rs6  Inactif, retrait"
 ;

value _f26_    /*  rs9 Profession du chef de mnage  */
 1 = "rs9  Commerant, artisan, chef d'entreprise*"
 2 = "rs9  Cadre, profession intellectuelle"
 3 = "rs9  . Profession intermdiaire"
 4 = "rs9  . Employ"
 5 = "rs9  Ouvrier"
 6 = "rs9  Inactif, retrait"
 ;

value _f27_    /*  s1 S1-  */
 1 = "s1  La gravit du changement climatique ne fait aucun doute et une rponse immdiate est ncessaire"
 2 = "s1  La ralit du changement climatique est suffisamment vidente et une action doit tre dcide"
 3 = "s1  On n'en sait pas assez sur le changement climatique et il faut davantage de recherche avant toute dcision"
 4 = "s1  Les inquitudes relatives au changement climatique ne sont pas justifies"
 5 = "s1  Sans opinion"
 ;

value _f28_    /*  s10 S10- Squestration/stockage  */
 1 = "Les incertitudes peuvent tre suffisamment matrises pour assurer une bonne scurit"
 2 = "Les incertitudes sont inquitantes, et il faut plus de recherches avant de dcider"
 3 = "Les incertitudes sont trop importantes et on ne doit pas utiliser cette technologie"
 4 = "Vous n'avez pas d'opinion"
 ;

value _f29_    /*  s10b S10B- Squestration  */
 1 = "Les incertitudes peuvent tre suffisamment matrises pour assurer une bonne scurit"
 2 = "Les incertitudes sont inquitantes, et il faut plus de recherches avant de dcider"
 3 = "Les incertitudes sont trop importantes et on ne doit pas utiliser cette technologie"
 4 = "Vous n'avez pas d'opinion"
 ;

value _f30_    /*  s10c S10C- Stockage  */
 1 = "Les incertitudes peuvent tre suffisamment matrises pour assurer une bonne scurit"
 2 = "Les incertitudes sont inquitantes, et il faut plus de recherches avant de dcider"
 3 = "Les incertitudes sont trop importantes et on ne doit pas utiliser cette technologie"
 4 = "Vous n'avez pas d'opinion"
 ;

value _f31_    /*  s11 S11-  */
 1 = "La squestration/le stockage gologique permettra de continuer  consommer nos rserves de charbon et de ptrole ..."
 2 = "La squestration/le stockage gologique risque d'tre une excuse pour ne pas modifier nos modes de production d'nergie"
 3 = "Vous n'avez pas d'opinion"
 ;

value _f32_    /*  s11b S11B-  */
 1 = "La squestration gologique permettra de continuer  consommer nos rserves de charbon et de ptrole sans nuire au climat en attendant de dcouvrir d'autres nergies non polluantes"
 2 = "La squestration gologique risque d'tre une excuse pour ne pas modifier nos modes de production d'nergie"
 3 = "Vous n'avez pas d'opinion"
 ;

value _f33_    /*  s11c S11C-  */
 1 = "Le stockage gologique permettra de continuer  consommer nos rserves de charbon et de ptrole sans nuire au climat en attendant de dcouvrir d'autres nergies non polluantes"
 2 = "Le stockage gologique risque d'tre une excuse pour ne pas modifier nos modes de production d'nergie"
 3 = "Vous n'avez pas d'opinion"
 ;

value _f34_    /*  s12 S12- Squestration/stockage  */
 1 = "s12  Tout  fait favorable"
 2 = "s12  Plutt favorable"
 3 = "s12  Plutt oppos"
 4 = "s12  Tout  fait oppos"
 5 = "s12  Vous n'avez pas d'opinion"
 ;

value _f35_    /*  s12b S12B- Squestration  */
 1 = "s12b  Tout  fait favorable"
 2 = "s12b  Plutt favorable"
 3 = "s12b  Plutt oppos"
 4 = "s12b  Tout  fait oppos"
 5 = "s12b  Vous n'avez pas d'opinion"
 ;

value _f36_    /*  s12c S12C- Stockage  */
 1 = "s12c  Tout  fait favorable"
 2 = "s12c  Plutt favorable"
 3 = "s12c  Plutt oppos"
 4 = "s12c  Tout  fait oppos"
 5 = "s12c  Vous n'avez pas d'opinion"
 ;

value _f37_    /*  s15 S15-  */
 1 = "s15  Oui, de manire systmatique"
 2 = "s15  Oui, de manire occasionnelle"
 3 = "s15  Non"
 4 = "s15  Sans opinion"
 ;

value _f38_    /*  s16 S16-  */
 1 = "s16  Oui, de manire systmatique"
 2 = "s16  Oui, de manire occasionnelle"
 3 = "s16  Non"
 4 = "s16  Sans opinion"
 ;

value _f39_    /*  s18 Secteur d'activit de l'interview  */
 1 = "Industrie"
 2 = "BTP"
 3 = "Commerce"
 4 = "Transports"
 5 = "Services"
 ;

value _f40_    /*  s19 Nombre d'enfants de moins de 15 ans  */
 1 = "1"
 2 = "2"
 3 = "3"
 4 = "4"
 5 = "5"
 6 = "6"
 7 = "7"
 8 = "8"
 9 = "9 et plus"
 10 = "Non, pas d'enfant de moins de 15 ans au foyer"
 ;

value _f41_    /*  s2 S2-  */
 1 = "s2  La protection de l'environnement doit tre prioritaire, mme au dtriment du dveloppement conomique"
 2 = "s2  L'conomie compte autant que l'environnement, mais on doit donner la priorit  l'environnement"
 3 = "s2  L'conomie compte autant que l'environnement, mais on doit donner la priorit au dveloppement conomique"
 4 = "s2  Le dveloppement conomique doit tre prioritaire, mme au dtriment de la protection de l'environnement"
 5 = "s2  Sans opinion"
 ;

value _f42_    /*  s3_1 S3-1-Squestration/stockage gologique du CO2  */
 1 = "s3_1  Oui et vous savez de quoi il s'agit"
 2 = "s3_1  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_1  Non"
 4 = "s3_1  Sans opinion"
 ;

value _f43_    /*  s3_10 S3-10-Les vhicules  hydrogne  */
 1 = "s3_10  Oui et vous savez de quoi il s'agit"
 2 = "s3_10  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_10  Non"
 4 = "s3_10  Sans opinion"
 ;

value _f44_    /*  s3_11 S3-11-L'nergie olienne  */
 1 = "s3_11  Oui et vous savez de quoi il s'agit"
 2 = "s3_11  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_11  Non"
 4 = "s3_11  Sans opinion"
 ;

value _f45_    /*  s3_12 S3-12-Les nanotechnologies  */
 1 = "s3_12  Oui et vous savez de quoi il s'agit"
 2 = "s3_12  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_12  Non"
 4 = "s3_12  Sans opinion"
 ;

value _f46_    /*  s3_1b S3-1B-Squestration gologique du CO2  */
 1 = "s3_1b  Oui et vous savez de quoi il s'agit"
 2 = "s3_1b  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_1b  Non"
 4 = "s3_1b  Sans opinion"
 ;

value _f47_    /*  s3_1c S3-1C-Stockage gologique du CO2  */
 1 = "s3_1c  Oui et vous savez de quoi il s'agit"
 2 = "s3_1c  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_1c  Non"
 4 = "s3_1c  Sans opinion"
 ;

value _f48_    /*  s3_2 S3-2-Les appareils lectromnagersconomes en nergie  */
 1 = "s3_2  Oui et vous savez de quoi il s'agit"
 2 = "s3_2  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_2  Non"
 4 = "s3_2  Sans opinion"
 ;

value _f49_    /*  s3_3 S3-3-L'nergie nuclaire  */
 1 = "s3_3  Oui et vous savez de quoi il s'agit"
 2 = "s3_3  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_3  Non"
 4 = "s3_3  Sans opinion"
 ;

value _f50_    /*  s3_4 S3-4-L'nergie de la biomasse  */
 1 = "s3_4  Oui et vous savez de quoi il s'agit"
 2 = "s3_4  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_4  Non"
 4 = "s3_4  Sans opinion"
 ;

value _f51_    /*  s3_5 S3-5-Les biocarburants  */
 1 = "s3_5  Oui et vous savez de quoi il s'agit"
 2 = "s3_5  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_5  Non"
 4 = "s3_5  Sans opinion"
 ;

value _f52_    /*  s3_6 S3-6-La squestration du carbone par les forts  */
 1 = "s3_6  Oui et vous savez de quoi il s'agit"
 2 = "s3_6  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_6  Non"
 4 = "s3_6  Sans opinion"
 ;

value _f53_    /*  s3_7 S3-7-L'nergie solaire  */
 1 = "s3_7  Oui et vous savez de quoi il s'agit"
 2 = "s3_7  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_7  Non"
 4 = "s3_7  Sans opinion"
 ;

value _f54_    /*  s3_8 S3-8-La fertilisation des ocans par le fer  */
 1 = "s3_8  Oui et vous savez de quoi il s'agit"
 2 = "s3_8  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_8  Non"
 4 = "s3_8  Sans opinion"
 ;

value _f55_    /*  s3_9 S3-9-Les vhicules  moteur hybride  */
 1 = "s3_9  Oui et vous savez de quoi il s'agit"
 2 = "s3_9  Oui mais vous ne savez pas prcisment de quoi il s'agit"
 3 = "s3_9  Non"
 4 = "s3_9  Sans opinion"
 ;

value _f56_    /*  s6 S6- Squestration/stockage  */
 1 = "s6  Tout  fait favorable"
 2 = "s6  Plutt favorable"
 3 = "s6  Plutt oppos"
 4 = "s6  Tout  fait oppos"
 5 = "s6  Vous n'avez pas d'opinion"
 ;

value _f57_    /*  s6b S6B- Squestration  */
 1 = "s6b  Tout  fait favorable"
 2 = "s6b  Plutt favorable"
 3 = "s6b  Plutt oppos"
 4 = "s6b  Tout  fait oppos"
 5 = "s6b  Vous n'avez pas d'opinion"
 ;

value _f58_    /*  s6c S6C- Stockage  */
 1 = "s6c  Tout  fait favorable"
 2 = "s6c  Plutt favorable"
 3 = "s6c  Plutt oppos"
 4 = "s6c  Tout  fait oppos"
 5 = "s6c  Vous n'avez pas d'opinion"
 ;

value _f59_    /*  s7 S7- Squestrer/stocker  */
 1 = "Aide plutt bien  comprendre ce dont il s'agit"
 2 = "N'aide pas vraiment  comprendre ce sont il s'agit"
 3 = "Sans opinion"
 ;

value _f60_    /*  s7b S7B- Squestrer  */
 1 = "Aide plutt bien  comprendre ce dont il s'agit"
 2 = "N'aide pas vraiment  comprendre ce sont il s'agit"
 3 = "Sans opinion"
 ;

value _f61_    /*  s7c S7C- Stocker  */
 1 = "Aide plutt bien  comprendre ce dont il s'agit"
 2 = "N'aide pas vraiment  comprendre ce sont il s'agit"
 3 = "Sans opinion"
 ;

value _f62_    /*  s8 S8- Squestrer/stocker  */
 1 = "Donne plutt une bonne image de ce dont il s'agit"
 2 = "Donne plutt une mauvaise image de ce dont il s'agit"
 3 = "Sans opinion"
 ;

value _f63_    /*  s8b S8B- Squestrer  */
 1 = "Donne plutt une bonne image de ce dont il s'agit"
 2 = "Donne plutt une mauvaise image de ce dont il s'agit"
 3 = "Sans opinion"
 ;

value _f64_    /*  s8c S8C- Stocker  */
 1 = "Donne plutt une bonne image de ce dont il s'agit"
 2 = "Donne plutt une mauvaise image de ce dont il s'agit"
 3 = "Sans opinion"
 ;

value _f65_    /*  se02 Cellule  */
 1 = "Cel1- Squestration"
 2 = "Cel2- Stockage"
 ;

data lib.dfile;

length agg 4;
length categ 4;
length chom 4;
length log 4;
length m_s13_1 3; 
length m_s13_2 3; 
length m_s13_3 3; 
length m_s13_4 3; 
length m_s13_5 3; 
length m_s13_6 3; 
length m_s13_7 3; 
length m_s13_8 3; 
length m_s13_9 3; 
length m_s13_10 3; 
length m_s13_11 3; 
length m_s13_12 3; 
length m_s13_13 3; 
length m_s13_14 3; 
length m_s13_15 3; 
length m_s13_16 3; 
length m_s13_17 3; 
length m_s13_18 3; 
length m_s13_19 3; 
length m_s13_20 3; 
length m_s13_21 3; 
length m_s13_22 3; 
length m_s13_23 3; 
length m_s13_24 3; 
length m_s13_25 3; 
length m_s13_26 3; 
length m_s13_27 3; 
length m_s13_28 3; 
length m_s14_1 3; 
length m_s14_2 3; 
length m_s14_3 3; 
length m_s14_4 3; 
length m_s14_5 3; 
length m_s14_6 3; 
length m_s14_7 3; 
length m_s14_8 3; 
length m_s14_9 3; 
length m_s14_10 3; 
length m_s14_11 3; 
length m_s14b_1 3; 
length m_s14b_2 3; 
length m_s14b_3 3; 
length m_s14b_4 3; 
length m_s14b_5 3; 
length m_s14b_6 3; 
length m_s14b_7 3; 
length m_s14b_8 3; 
length m_s14b_9 3; 
length m_s14b_10 3; 
length m_s14b_11 3; 
length m_s14c_1 3; 
length m_s14c_2 3; 
length m_s14c_3 3; 
length m_s14c_4 3; 
length m_s14c_5 3; 
length m_s14c_6 3; 
length m_s14c_7 3; 
length m_s14c_8 3; 
length m_s14c_9 3; 
length m_s14c_10 3; 
length m_s14c_11 3; 
length m_s17_1 3; 
length m_s17_2 3; 
length m_s17_3 3; 
length m_s17_4 3; 
length m_s17_5 3; 
length m_s17_6 3; 
length m_s17_7 3; 
length m_s17_8 3; 
length m_s20_1 3; 
length m_s20_2 3; 
length m_s20_3 3; 
length m_s20_4 3; 
length m_s20_5 3; 
length m_s20_6 3; 
length m_s20_7 3; 
length m_s20_8 3; 
length m_s20_9 3; 
length m_s20_10 3; 
length m_s20_11 3; 
length m_s20_12 3; 
length m_s20_13 3; 
length m_s20_14 3; 
length m_s20_15 3; 
length m_s20_16 3; 
length m_s4_1 3; 
length m_s4_2 3; 
length m_s4_3 3; 
length m_s4_4 3; 
length m_s4_5 3; 
length m_s4b_1 3; 
length m_s4b_2 3; 
length m_s4b_3 3; 
length m_s4b_4 3; 
length m_s4b_5 3; 
length m_s4c_1 3; 
length m_s4c_2 3; 
length m_s4c_3 3; 
length m_s4c_4 3; 
length m_s4c_5 3; 
length wmid1 8 ;
length wmid9 8 ;
length ouv 4;
length reg 4;
length rs01 4;
length rs10 4;
length rs13 4;
length rs14 4;
length rs14d 4;
length rs2 4;
length rs5 4;
length rs5_ST1 3;
length rs6 4;
length rs6_ST1 3;
length rs9 4;
length rs9_ST1 3;
length s1 4;
length s1_ST1 3;
length s10 4;
length s10b 4;
length s10c 4;
length s11 4;
length s11b 4;
length s11c 4;
length s12 4;
length s12_ST1 3;
length s12_ST2 3;
length s12b 4;
length s12b_ST1 3;
length s12b_ST2 3;
length s12c 4;
length s12c_ST1 3;
length s12c_ST2 3;
length s15 4;
length s15_ST1 3;
length s16 4;
length s16_ST1 3;
length s18 4;
length s19 4;
length s2 4;
length s2_ST1 3;
length s2_ST2 3;
length s3_1 4;
length s3_1_ST1 3;
length s3_10 4;
length s3_10_ST1 3;
length s3_11 4;
length s3_11_ST1 3;
length s3_12 4;
length s3_12_ST1 3;
length s3_1b 4;
length s3_1b_ST1 3;
length s3_1c 4;
length s3_1c_ST1 3;
length s3_2 4;
length s3_2_ST1 3;
length s3_3 4;
length s3_3_ST1 3;
length s3_4 4;
length s3_4_ST1 3;
length s3_5 4;
length s3_5_ST1 3;
length s3_6 4;
length s3_6_ST1 3;
length s3_7 4;
length s3_7_ST1 3;
length s3_8 4;
length s3_8_ST1 3;
length s3_9 4;
length s3_9_ST1 3;
length s6 4;
length s6_ST1 3;
length s6_ST2 3;
length s6b 4;
length s6b_ST1 3;
length s6b_ST2 3;
length s6c 4;
length s6c_ST1 3;
length s6c_ST2 3;
length s7 4;
length s7b 4;
length s7c 4;
length s8 4;
length s8b 4;
length s8c 4;
length se02 4;

infile _d1 DLM="09"x dsd missover firstobs = 2 recfm=v lrecl = 3785 ;
Input

agg
categ
chom
log
m_s13_1
m_s13_2
m_s13_3
m_s13_4
m_s13_5
m_s13_6
m_s13_7
m_s13_8
m_s13_9
m_s13_10
m_s13_11
m_s13_12
m_s13_13
m_s13_14
m_s13_15
m_s13_16
m_s13_17
m_s13_18
m_s13_19
m_s13_20
m_s13_21
m_s13_22
m_s13_23
m_s13_24
m_s13_25
m_s13_26
m_s13_27
m_s13_28
m_s14_1
m_s14_2
m_s14_3
m_s14_4
m_s14_5
m_s14_6
m_s14_7
m_s14_8
m_s14_9
m_s14_10
m_s14_11
m_s14b_1
m_s14b_2
m_s14b_3
m_s14b_4
m_s14b_5
m_s14b_6
m_s14b_7
m_s14b_8
m_s14b_9
m_s14b_10
m_s14b_11
m_s14c_1
m_s14c_2
m_s14c_3
m_s14c_4
m_s14c_5
m_s14c_6
m_s14c_7
m_s14c_8
m_s14c_9
m_s14c_10
m_s14c_11
m_s17_1
m_s17_2
m_s17_3
m_s17_4
m_s17_5
m_s17_6
m_s17_7
m_s17_8
m_s20_1
m_s20_2
m_s20_3
m_s20_4
m_s20_5
m_s20_6
m_s20_7
m_s20_8
m_s20_9
m_s20_10
m_s20_11
m_s20_12
m_s20_13
m_s20_14
m_s20_15
m_s20_16
m_s4_1
m_s4_2
m_s4_3
m_s4_4
m_s4_5
m_s4b_1
m_s4b_2
m_s4b_3
m_s4b_4
m_s4b_5
m_s4c_1
m_s4c_2
m_s4c_3
m_s4c_4
m_s4c_5
wmid1
wmid9
ouv
reg
rs01
rs10
rs13
rs14
rs14d
rs2
rs5
rs5_ST1
rs6
rs6_ST1
rs9
rs9_ST1
s1
s1_ST1
s10
s10b
s10c
s11
s11b
s11c
s12
s12_ST1
s12_ST2
s12b
s12b_ST1
s12b_ST2
s12c
s12c_ST1
s12c_ST2
s15
s15_ST1
s16
s16_ST1
s18
s19
s2
s2_ST1
s2_ST2
s3_1
s3_1_ST1
s3_10
s3_10_ST1
s3_11
s3_11_ST1
s3_12
s3_12_ST1
s3_1b
s3_1b_ST1
s3_1c
s3_1c_ST1
s3_2
s3_2_ST1
s3_3
s3_3_ST1
s3_4
s3_4_ST1
s3_5
s3_5_ST1
s3_6
s3_6_ST1
s3_7
s3_7_ST1
s3_8
s3_8_ST1
s3_9
s3_9_ST1
s6
s6_ST1
s6_ST2
s6b
s6b_ST1
s6b_ST2
s6c
s6c_ST1
s6c_ST2
s7
s7b
s7c
s8
s8b
s8c
se02

__TAB 
;
label  agg = "Catgorie d agglomration";
format agg _f1_.;

label  categ = "Aires urbaines";
format categ _f2_.;

label  chom = "Taux de chmage dans la commune";
format chom _f3_.;

label  log = "Taux de logement social dans la commune";
format log _f4_.;

label  m_s13_1 = "S13- : A quoi est du le rchauffement climatique";
format m_s13_1 _YesNo_.;

label  m_s13_2 = "S13- : Quelles sont les solutions au rchauffement climatique";
format m_s13_2 _YesNo_.;

label  m_s13_3 = "S13- : Que peut-on faire sur le plan individuel/quels sont les gestes simples";
format m_s13_3 _YesNo_.;

label  m_s13_4 = "S13- : Comment sensibiliser les gens";
format m_s13_4 _YesNo_.;

label  m_s13_5 = "S13- : Pour quoi n a-t-on pas agi avant";
format m_s13_5 _YesNo_.;

label  m_s13_6 = "S13- : Quelles sont les autres technologies/les alternatives";
format m_s13_6 _YesNo_.;

label  m_s13_7 = "S13- : L efficacit des biocarburants";
format m_s13_7 _YesNo_.;

label  m_s13_8 = "S13- : Quel est l impact cologique du nuclaire";
format m_s13_8 _YesNo_.;

label  m_s13_9 = "S13- : Prcisions sur les risques de la squestration gologique du CO2";
format m_s13_9 _YesNo_.;

label  m_s13_10 = "S13- : Quels sont les dangers/les consquences/les risques";
format m_s13_10 _YesNo_.;

label  m_s13_11 = "S13- : N a-t-on pas atteint le point de non retour/n est-ce pas trop tard/est-ce inluctable";
format m_s13_11 _YesNo_.;

label  m_s13_12 = "S13- : Echance/quand se feront sentir les effets du rchauffement climatique";
format m_s13_12 _YesNo_.;

label  m_s13_13 = "S13- : Combien de temps reste-t-il avant d avoir atteint le point de non retour";
format m_s13_13 _YesNo_.;

label  m_s13_14 = "S13- : Le rchauffement climatique est-il aussi grave que le disent les spcialistes";
format m_s13_14 _YesNo_.;

label  m_s13_15 = "S13- : Est-ce vrai/quelle est la fiabilit des tudes";
format m_s13_15 _YesNo_.;

label  m_s13_16 = "S13- : Le rchauffement climatique n est-il pas naturel";
format m_s13_16 _YesNo_.;

label  m_s13_17 = "S13- : Les tats vont-ils agir ensemble/comment les faire cooprer/pourquoi n ont-ils pas tous sign le protocole de Kyoto";
format m_s13_17 _YesNo_.;

label  m_s13_18 = "S13- : Que faire face aux industries polluantes";
format m_s13_18 _YesNo_.;

label  m_s13_19 = "S13- : Autres";
format m_s13_19 _YesNo_.;

label  m_s13_20 = "S13- : Questions d ordre personnel";
format m_s13_20 _YesNo_.;

label  m_s13_21 = "S13- : Hors sujet";
format m_s13_21 _YesNo_.;

label  m_s13_22 = "S13- : Sans opinion";
format m_s13_22 _YesNo_.;

label  m_s13_23 = "S13- : Base";
format m_s13_23 _YesNo_.;

label  m_s13_24 = "S13- : ST La lutte contre le rchauffement climatique";
format m_s13_24 _YesNo_.;

label  m_s13_25 = "S13- : ST Technologies alternatives";
format m_s13_25 _YesNo_.;

label  m_s13_26 = "S13- : ST Les effets du rchauffement climatique";
format m_s13_26 _YesNo_.;

label  m_s13_27 = "S13- : ST La vracit du rchauffement climatique";
format m_s13_27 _YesNo_.;

label  m_s13_28 = "S13- : ST Les acteurs du rchauffement climatique";
format m_s13_28 _YesNo_.;

label  m_s14_1 = "S14- : Rcuprer le CO2 pour la squestration/le stockage dans le sous-sol";
format m_s14_1 _YesNo_.;

label  m_s14_2 = "S14- : Produire de l nergie  partir du bois, des dchets agricoles ou des cultures nergtiques";
format m_s14_2 _YesNo_.;

label  m_s14_3 = "S14- : Planter des arbres et prserver des forts afin d absorber le CO2 de l atmosphre";
format m_s14_3 _YesNo_.;

label  m_s14_4 = "S14- : Ajouter du fer aux ocans pour augmenter l absorption du CO2 par le plancton";
format m_s14_4 _YesNo_.;

label  m_s14_5 = "S14- : Produire des appareils qui consomment moins d nergie pour les mmes services rendus.";
format m_s14_5 _YesNo_.;

label  m_s14_6 = "S14- : Produire des automobiles qui utilisent moins d nergie pour parcourir la mme distance";
format m_s14_6 _YesNo_.;

label  m_s14_7 = "S14- : Produire de l lectricit nuclaire";
format m_s14_7 _YesNo_.;

label  m_s14_8 = "S14- : Produire de l lectricit solaire";
format m_s14_8 _YesNo_.;

label  m_s14_9 = "S14- : Produire de l lectricit  partir du vent,  l aide d oliennes";
format m_s14_9 _YesNo_.;

label  m_s14_10 = "S14- : Sans opinion";
format m_s14_10 _YesNo_.;

label  m_s14_11 = "S14- : Base";
format m_s14_11 _YesNo_.;

label  m_s14b_1 = "S14B- : Rcuprer le CO2 pour la squestration dans le sous-sol";
format m_s14b_1 _YesNo_.;

label  m_s14b_2 = "S14B- : Produire de l nergie  partir du bois, des dchets agricoles ou des cultures nergtiques";
format m_s14b_2 _YesNo_.;

label  m_s14b_3 = "S14B- : Planter des arbres et prserver des forts afin d absorber le CO2 de l atmosphre";
format m_s14b_3 _YesNo_.;

label  m_s14b_4 = "S14B- : Ajouter du fer aux ocans pour augmenter l absorption du CO2 par le plancton";
format m_s14b_4 _YesNo_.;

label  m_s14b_5 = "S14B- : Produire des appareils qui consomment moins d nergie pour les mmes services rendus.";
format m_s14b_5 _YesNo_.;

label  m_s14b_6 = "S14B- : Produire des automobiles qui utilisent moins d nergie pour parcourir la mme distance";
format m_s14b_6 _YesNo_.;

label  m_s14b_7 = "S14B- : Produire de l lectricit nuclaire";
format m_s14b_7 _YesNo_.;

label  m_s14b_8 = "S14B- : Produire de l lectricit solaire";
format m_s14b_8 _YesNo_.;

label  m_s14b_9 = "S14B- : Produire de l lectricit  partir du vent,  l aide d oliennes";
format m_s14b_9 _YesNo_.;

label  m_s14b_10 = "S14B- : Sans opinion";
format m_s14b_10 _YesNo_.;

label  m_s14b_11 = "S14B- : Base";
format m_s14b_11 _YesNo_.;

label  m_s14c_1 = "S14C- : Rcuprer le CO2 pour le stockage dans le sous-sol";
format m_s14c_1 _YesNo_.;

label  m_s14c_2 = "S14C- : Produire de l nergie  partir du bois, des dchets agricoles ou des cultures nergtiques";
format m_s14c_2 _YesNo_.;

label  m_s14c_3 = "S14C- : Planter des arbres et prserver des forts afin d absorber le CO2 de l atmosphre";
format m_s14c_3 _YesNo_.;

label  m_s14c_4 = "S14C- : Ajouter du fer aux ocans pour augmenter l absorption du CO2 par le plancton";
format m_s14c_4 _YesNo_.;

label  m_s14c_5 = "S14C- : Produire des appareils qui consomment moins d nergie pour les mmes services rendus.";
format m_s14c_5 _YesNo_.;

label  m_s14c_6 = "S14C- : Produire des automobiles qui utilisent moins d nergie pour parcourir la mme distance";
format m_s14c_6 _YesNo_.;

label  m_s14c_7 = "S14C- : Produire de l lectricit nuclaire";
format m_s14c_7 _YesNo_.;

label  m_s14c_8 = "S14C- : Produire de l lectricit solaire";
format m_s14c_8 _YesNo_.;

label  m_s14c_9 = "S14C- : Produire de l lectricit  partir du vent,  l aide d oliennes";
format m_s14c_9 _YesNo_.;

label  m_s14c_10 = "S14C- : Sans opinion";
format m_s14c_10 _YesNo_.;

label  m_s14c_11 = "S14C- : Base";
format m_s14c_11 _YesNo_.;

label  m_s17_1 = "S17- : Membre d un parti politique";
format m_s17_1 _YesNo_.;

label  m_s17_2 = "S17- : Membre d un syndicat";
format m_s17_2 _YesNo_.;

label  m_s17_3 = "S17- : Membre d une association de dfense des consommateurs";
format m_s17_3 _YesNo_.;

label  m_s17_4 = "S17- : Membre d une association de dfense de l environnement";
format m_s17_4 _YesNo_.;

label  m_s17_5 = "S17- : Signataire du Pacte cologique de Nicolas Hulot";
format m_s17_5 _YesNo_.;

label  m_s17_6 = "S17- : Refused";
format m_s17_6 _YesNo_.;

label  m_s17_7 = "S17- : Sans opinion";
format m_s17_7 _YesNo_.;

label  m_s17_8 = "S17- : Base";
format m_s17_8 _YesNo_.;

label  m_s20_1 = "Age des enfants : 1 an ou moins";
format m_s20_1 _YesNo_.;

label  m_s20_2 = "Age des enfants : 2 ans";
format m_s20_2 _YesNo_.;

label  m_s20_3 = "Age des enfants : 3 ans";
format m_s20_3 _YesNo_.;

label  m_s20_4 = "Age des enfants : 4 ans";
format m_s20_4 _YesNo_.;

label  m_s20_5 = "Age des enfants : 5 ans";
format m_s20_5 _YesNo_.;

label  m_s20_6 = "Age des enfants : 6 ans";
format m_s20_6 _YesNo_.;

label  m_s20_7 = "Age des enfants : 7 ans";
format m_s20_7 _YesNo_.;

label  m_s20_8 = "Age des enfants : 8 ans";
format m_s20_8 _YesNo_.;

label  m_s20_9 = "Age des enfants : 9 ans";
format m_s20_9 _YesNo_.;

label  m_s20_10 = "Age des enfants : 10 ans";
format m_s20_10 _YesNo_.;

label  m_s20_11 = "Age des enfants : 11 ans";
format m_s20_11 _YesNo_.;

label  m_s20_12 = "Age des enfants : 12 ans";
format m_s20_12 _YesNo_.;

label  m_s20_13 = "Age des enfants : 13 ans";
format m_s20_13 _YesNo_.;

label  m_s20_14 = "Age des enfants : 14 ans";
format m_s20_14 _YesNo_.;

label  m_s20_15 = "Age des enfants : 15 ans";
format m_s20_15 _YesNo_.;

label  m_s20_16 = "Age des enfants : Base";
format m_s20_16 _YesNo_.;

label  m_s4_1 = "S4- Squestration/stockage : Rponse exacte";
format m_s4_1 _YesNo_.;

label  m_s4_2 = "S4- Squestration/stockage : Rponse vague";
format m_s4_2 _YesNo_.;

label  m_s4_3 = "S4- Squestration/stockage : Rponse errone";
format m_s4_3 _YesNo_.;

label  m_s4_4 = "S4- Squestration/stockage : Sans opinion";
format m_s4_4 _YesNo_.;

label  m_s4_5 = "S4- Squestration/stockage : Base";
format m_s4_5 _YesNo_.;

label  m_s4b_1 = "S4B- Squestration : Rponse exacte";
format m_s4b_1 _YesNo_.;

label  m_s4b_2 = "S4B- Squestration : Rponse vague";
format m_s4b_2 _YesNo_.;

label  m_s4b_3 = "S4B- Squestration : Rponse errone";
format m_s4b_3 _YesNo_.;

label  m_s4b_4 = "S4B- Squestration : Sans opinion";
format m_s4b_4 _YesNo_.;

label  m_s4b_5 = "S4B- Squestration : Base";
format m_s4b_5 _YesNo_.;

label  m_s4c_1 = "S4C- Stockage : Rponse exacte";
format m_s4c_1 _YesNo_.;

label  m_s4c_2 = "S4C- Stockage : Rponse vague";
format m_s4c_2 _YesNo_.;

label  m_s4c_3 = "S4C- Stockage : Rponse errone";
format m_s4c_3 _YesNo_.;

label  m_s4c_4 = "S4C- Stockage : Sans opinion";
format m_s4c_4 _YesNo_.;

label  m_s4c_5 = "S4C- Stockage : Base";
format m_s4c_5 _YesNo_.;

label  wmid1 = "Numeric for wmid1";

label  wmid9 = "Numeric for wmid9";

label  ouv = "Importance de la population ouvrire dans la commune";
format ouv _f16_.;

label  reg = "Rgions Sofop";
format reg _f17_.;

label  rs01 = "Sexe";
format rs01 _f18_.;

label  rs10 = "Prfrence partisane";
format rs10 _f19_.;

label  rs13 = "Niveau de diplme";
format rs13 _f20_.;

label  rs14 = "Revenu des mnages";
format rs14 _f21_.;

label  rs14d = "Taille du foyer";
format rs14d _f22_.;

label  rs2 = "Age";
format rs2 _f23_.;

label  rs5 = "Situation professionnelle de l interview";
format rs5 _f24_.;
label  rs5_ST1 = "Situation professionnelle de l interview  ** Salari";
format rs5_ST1 _YesNo_.;

label  rs6 = "Profession de l interview";
format rs6 _f25_.;
label  rs6_ST1 = "Profession de l interview  ** ST Profession intermdiaire, employ";
format rs6_ST1 _YesNo_.;

label  rs9 = "Profession du chef de mnage";
format rs9 _f26_.;
label  rs9_ST1 = "Profession du chef de mnage  ** ST Profession intermdiaire, employ";
format rs9_ST1 _YesNo_.;

label  s1 = "S1-";
format s1 _f27_.;
label  s1_ST1 = "S1-  **ST Agir";
format s1_ST1 _YesNo_.;

label  s10 = "S10- Squestration/stockage";
format s10 _f28_.;

label  s10b = "S10B- Squestration";
format s10b _f29_.;

label  s10c = "S10C- Stockage";
format s10c _f30_.;

label  s11 = "S11-";
format s11 _f31_.;

label  s11b = "S11B-";
format s11b _f32_.;

label  s11c = "S11C-";
format s11c _f33_.;

label  s12 = "S12- Squestration/stockage";
format s12 _f34_.;
label  s12_ST1 = "S12- Squestration/stockage  **ST Favorable";
format s12_ST1 _YesNo_.;
label  s12_ST2 = "S12- Squestration/stockage  **ST Oppos";
format s12_ST2 _YesNo_.;

label  s12b = "S12B- Squestration";
format s12b _f35_.;
label  s12b_ST1 = "S12B- Squestration  **ST Favorable";
format s12b_ST1 _YesNo_.;
label  s12b_ST2 = "S12B- Squestration  **ST Oppos";
format s12b_ST2 _YesNo_.;

label  s12c = "S12C- Stockage";
format s12c _f36_.;
label  s12c_ST1 = "S12C- Stockage  **ST Favorable";
format s12c_ST1 _YesNo_.;
label  s12c_ST2 = "S12C- Stockage  **ST Oppos";
format s12c_ST2 _YesNo_.;

label  s15 = "S15-";
format s15 _f37_.;
label  s15_ST1 = "S15-  **ST Oui";
format s15_ST1 _YesNo_.;

label  s16 = "S16-";
format s16 _f38_.;
label  s16_ST1 = "S16-  **ST Oui";
format s16_ST1 _YesNo_.;

label  s18 = "Secteur d activit de l interview";
format s18 _f39_.;

label  s19 = "Nombre d enfants de moins de 15 ans";
format s19 _f40_.;

label  s2 = "S2-";
format s2 _f41_.;
label  s2_ST1 = "S2-  **ST Priorit  l environnement";
format s2_ST1 _YesNo_.;
label  s2_ST2 = "S2-  **ST Priorit  l conomie";
format s2_ST2 _YesNo_.;

label  s3_1 = "S3-1-Squestration/stockage gologique du CO2";
format s3_1 _f42_.;
label  s3_1_ST1 = "S3-1-Squestration/stockage gologique du CO2  **ST Oui";
format s3_1_ST1 _YesNo_.;

label  s3_10 = "S3-10-Les vhicules  hydrogne";
format s3_10 _f43_.;
label  s3_10_ST1 = "S3-10-Les vhicules  hydrogne  **ST Oui";
format s3_10_ST1 _YesNo_.;

label  s3_11 = "S3-11-L nergie olienne";
format s3_11 _f44_.;
label  s3_11_ST1 = "S3-11-L nergie olienne  **ST Oui";
format s3_11_ST1 _YesNo_.;

label  s3_12 = "S3-12-Les nanotechnologies";
format s3_12 _f45_.;
label  s3_12_ST1 = "S3-12-Les nanotechnologies  **ST Oui";
format s3_12_ST1 _YesNo_.;

label  s3_1b = "S3-1B-Squestration gologique du CO2";
format s3_1b _f46_.;
label  s3_1b_ST1 = "S3-1B-Squestration gologique du CO2  **ST Oui";
format s3_1b_ST1 _YesNo_.;

label  s3_1c = "S3-1C-Stockage gologique du CO2";
format s3_1c _f47_.;
label  s3_1c_ST1 = "S3-1C-Stockage gologique du CO2  **ST Oui";
format s3_1c_ST1 _YesNo_.;

label  s3_2 = "S3-2-Les appareils lectromnagersconomes en nergie";
format s3_2 _f48_.;
label  s3_2_ST1 = "S3-2-Les appareils lectromnagersconomes en nergie  **ST Oui";
format s3_2_ST1 _YesNo_.;

label  s3_3 = "S3-3-L nergie nuclaire";
format s3_3 _f49_.;
label  s3_3_ST1 = "S3-3-L nergie nuclaire  **ST Oui";
format s3_3_ST1 _YesNo_.;

label  s3_4 = "S3-4-L nergie de la biomasse";
format s3_4 _f50_.;
label  s3_4_ST1 = "S3-4-L nergie de la biomasse  **ST Oui";
format s3_4_ST1 _YesNo_.;

label  s3_5 = "S3-5-Les biocarburants";
format s3_5 _f51_.;
label  s3_5_ST1 = "S3-5-Les biocarburants  **ST Oui";
format s3_5_ST1 _YesNo_.;

label  s3_6 = "S3-6-La squestration du carbone par les forts";
format s3_6 _f52_.;
label  s3_6_ST1 = "S3-6-La squestration du carbone par les forts  **ST Oui";
format s3_6_ST1 _YesNo_.;

label  s3_7 = "S3-7-L nergie solaire";
format s3_7 _f53_.;
label  s3_7_ST1 = "S3-7-L nergie solaire  **ST Oui";
format s3_7_ST1 _YesNo_.;

label  s3_8 = "S3-8-La fertilisation des ocans par le fer";
format s3_8 _f54_.;
label  s3_8_ST1 = "S3-8-La fertilisation des ocans par le fer  **ST Oui";
format s3_8_ST1 _YesNo_.;

label  s3_9 = "S3-9-Les vhicules  moteur hybride";
format s3_9 _f55_.;
label  s3_9_ST1 = "S3-9-Les vhicules  moteur hybride  **ST Oui";
format s3_9_ST1 _YesNo_.;

label  s6 = "S6- Squestration/stockage";
format s6 _f56_.;
label  s6_ST1 = "S6- Squestration/stockage  **ST Favorable";
format s6_ST1 _YesNo_.;
label  s6_ST2 = "S6- Squestration/stockage  **ST Oppos";
format s6_ST2 _YesNo_.;

label  s6b = "S6B- Squestration";
format s6b _f57_.;
label  s6b_ST1 = "S6B- Squestration  **ST Favorable";
format s6b_ST1 _YesNo_.;
label  s6b_ST2 = "S6B- Squestration  **ST Oppos";
format s6b_ST2 _YesNo_.;

label  s6c = "S6C- Stockage";
format s6c _f58_.;
label  s6c_ST1 = "S6C- Stockage  **ST Favorable";
format s6c_ST1 _YesNo_.;
label  s6c_ST2 = "S6C- Stockage  **ST Oppos";
format s6c_ST2 _YesNo_.;

label  s7 = "S7- Squestrer/stocker";
format s7 _f59_.;

label  s7b = "S7B- Squestrer";
format s7b _f60_.;

label  s7c = "S7C- Stocker";
format s7c _f61_.;

label  s8 = "S8- Squestrer/stocker";
format s8 _f62_.;

label  s8b = "S8B- Squestrer";
format s8b _f63_.;

label  s8c = "S8C- Stocker";
format s8c _f64_.;

label  se02 = "Cellule";
format se02 _f65_.;


drop __TAB;
run;
quit;


/* ------------------------------------------- */
/*     Output formats to table                 */
/* ------------------------------------------- */
proc format cntlout = lib._fmt;
run;
/* ------------------------------------------- */
/*     CALL %ALLFREQS( ... );                  */
/* ------------------------------------------- */
ods HTML body = 'C:\ETUDES\48KA32_S\_tmp.htm'
         page = 'C:\ETUDES\48KA32_S\_p.htm'
         contents= 'C:\ETUDES\48KA32_S\_c.htm'
         frame = 'C:\ETUDES\48KA32_S\_f.htm';
ods RTF  file = 'C:\ETUDES\48KA32_S\_tmp.rtf';
%ALLFREQS(
  nomi= agg categ chom log m_s13_1 m_s13_10 m_s13_11 m_s13_12 m_s13_13 m_s13_14 m_s13_15 
m_s13_16 m_s13_17 m_s13_18 m_s13_19 m_s13_2 m_s13_20 m_s13_21 m_s13_22 m_s13_23 m_s13_24 
m_s13_25 m_s13_26 m_s13_27 m_s13_28 m_s13_3 m_s13_4 m_s13_5 m_s13_6 m_s13_7 m_s13_8 
m_s13_9 m_s14_1 m_s14_10 m_s14_11 m_s14_2 m_s14_3 m_s14_4 m_s14_5 m_s14_6 m_s14_7 
m_s14_8 m_s14_9 m_s14b_1 m_s14b_10 m_s14b_11 m_s14b_2 m_s14b_3 m_s14b_4 m_s14b_5 m_s14b_6 
m_s14b_7 m_s14b_8 m_s14b_9 m_s14c_1 m_s14c_10 m_s14c_11 m_s14c_2 m_s14c_3 m_s14c_4 m_s14c_5 
m_s14c_6 m_s14c_7 m_s14c_8 m_s14c_9 m_s17_1 m_s17_2 m_s17_3 m_s17_4 m_s17_5 m_s17_6 
m_s17_7 m_s17_8 m_s20_1 m_s20_10 m_s20_11 m_s20_12 m_s20_13 m_s20_14 m_s20_15 m_s20_16 
m_s20_2 m_s20_3 m_s20_4 m_s20_5 m_s20_6 m_s20_7 m_s20_8 m_s20_9 m_s4_1 m_s4_2 
m_s4_3 m_s4_4 m_s4_5 m_s4b_1 m_s4b_2 m_s4b_3 m_s4b_4 m_s4b_5 m_s4c_1 m_s4c_2 
m_s4c_3 m_s4c_4 m_s4c_5 ouv reg rs01 rs10 rs13 rs14 rs14d 
rs2 rs5 rs5_ST1 rs6 rs6_ST1 rs9 rs9_ST1 s1 s1_ST1 s10 
s10b s10c s11 s11b s11c s12 s12_ST1 s12_ST2 s12b s12b_ST1 
s12b_ST2 s12c s12c_ST1 s12c_ST2 s15 s15_ST1 s16 s16_ST1 s18 s19 
s2 s2_ST1 s2_ST2 s3_1 s3_1_ST1 s3_10 s3_10_ST1 s3_11 s3_11_ST1 s3_12 
s3_12_ST1 s3_1b s3_1b_ST1 s3_1c s3_1c_ST1 s3_2 s3_2_ST1 s3_3 s3_3_ST1 s3_4 
s3_4_ST1 s3_5 s3_5_ST1 s3_6 s3_6_ST1 s3_7 s3_7_ST1 s3_8 s3_8_ST1 s3_9 
s3_9_ST1 s6 s6_ST1 s6_ST2 s6b s6b_ST1 s6b_ST2 s6c s6c_ST1 s6c_ST2 
s7 s7b s7c s8 s8b s8c se02  ,
  cont=  ,
  missing = NON,
data= lib.dfile,
  poids= wmid1,
   debug=
);
ods RTF close;
ods HTML close;
/* ------------------------------------------- */
/*     SAS output tables                       */
/* ------------------------------------------- */
proc format cntlout = lib._fmt; run;
